#include <thread>
#include <iostream>
#include "../sdk/interfaces/interfaces.hpp"
#include "../sdk/memory/memory.hpp"
#include "../hooks/hooks.hpp"
#include "../src/game/chams/chams.hpp"
#include "../utils/external/config.hpp"

void Initialize() {

	config::refresh();

	if (config::exists(0)) { 
		/*MessageBoxA(
			NULL,              
			"[Config.hpp] Config File Found! Loading config...",  
			"Information",                    
			MB_OK | MB_ICONINFORMATION                 
		);*/
		config::load(0);
	}
	else {
		/*MessageBoxA(
			NULL,
			"[Config.hpp] Config File Found! Loading config...",
			"Information",
			MB_OK | MB_ICONINFORMATION
		);*/
		config::create(L"config.json");
		config::save(0);
	}

    memory::Initialize();
    interfaces::Initialize();
    chams::init();
    hooks::Initialize();
}